<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");

class ficheiroCategoria extends elemento{
		
	function ficheiroCategoria() {
        
    }
    
	function guardarNovo(){
		if(!is_dir("../netimages"))
			mkdir ("../netimages/");

		return parent::guardarNovo();
	}

	function apagar($id){
		$db= new dbElemento;
		
		if ($db->getTotal("ficheiro", $id)) {
			?><script>alert("Esta categoria possui ficheiros")</script><?
			exit;
		}		
		parent::apagar($id);
	}
	
	
	function editar($id="") {
        
        $db= new dbElemento;
        $linha = @$db->getLinha($this->tipo, $id);
		
		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Categorias de Ficheiros / ", 1);
		$f->campoTexto("Categoria","categoria" );
		$f->mostra();
    }

	function listar() {
        $campos=array("Nš"=>"id","Categoria"=>"categoria");
        
		$db= new dbElemento;
		$dados=$db->getListaCategorias($this->tipo, $campos , "categoria", $this->req['id']);
        $this->req['total']=sizeof($dados);
		
		$f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		$toolbar->botao("Novo");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();
		
		$f->titulo("Categorias de Ficheiros / ");
		$f->cabeca();
        $f->tabela(false, false);
		$f->mostra();
    }
	


}
?>
